Bug 561253 - Review Request: ibus-xkbc - The XKBC engine for IBus input platform
Summary: Review Request: ibus-xkbc - The XKBC engine for IBus input platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-03 07:47 UTC by Peng Wu
Modified: 2010-04-01 01:51 UTC (History)
4 users (show)

Fixed In Version: ibus-xkbc-1.2.0.20100115-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-08 06:53:08 UTC
Type: ---
petersen: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Peng Wu 2010-02-03 07:47:17 UTC
Spec URL: http://novel-pinyin.sourceforge.net/SRPMS/ibus-xkbc.spec
SRPM URL: http://novel-pinyin.sourceforge.net/SRPMS/ibus-xkbc-1.2.0.20100115-1.fc12.src.rpm
Description: The XKBC engine for IBus platform. 
It provides keyboard layout emulation input method.

This is my first package, and please sponsor me.

Comment 1 Peng Huang 2010-02-03 08:15:21 UTC
Build failed in koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1960480

Comment 2 Jens Petersen 2010-02-03 08:36:48 UTC
Ok once package is ready, happy to do final review and sponsor you.

Comment 3 Peng Wu 2010-02-03 09:31:15 UTC
Modified spec file, and re-build against dist-f12, build succeeded:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1960564

Thanks for the help and review.

Comment 4 Jens Petersen 2010-02-04 00:41:16 UTC
You need to post the new spec file and bumped srpm for every update...

Comment 6 Peng Huang 2010-02-04 07:47:20 UTC
Package Review

+ package builds in mock (rawhide noarch).
http://koji.fedoraproject.org/koji/taskinfo?taskID=1962396
+ rpmlint is no errors and warnings
+ source files match upstream url
939e3d5f68946dfecedb737954f15c24  ibus-xkbc-1.2.0.20100115.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package does not contain code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ No update-gtk-immodules scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no Desktop files.
+ Package   => ibus-xkbc-1.2.0.20100115-2.fc13.noarch.rpm

Provide:
ibus-xkbc = 1.2.0.20100115-2.fc13

Requires:
/bin/bash  
ibus >= 1.2.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Approved

Comment 8 Peng Wu 2010-02-04 09:15:25 UTC
Spec URL: http://novel-pinyin.sourceforge.net/SRPMS/ibus-xkbc.spec
SRPM URL:
http://novel-pinyin.sourceforge.net/SRPMS/ibus-xkbc-1.2.0.20100115-4.fc12.src.rpm

Sorry for missing the changed detail of the previous changes, so add it to the change log,
and also post it here.
Thanks for review.

This time fixes the change log continuation, and the new entire change log is:
* Wed Feb 04 2010 Peng Wu <pwu@redhat.com> - 1.2.0.20100115-4
- Fixes change logs continuation.

* Wed Feb 04 2010 Peng Wu <pwu@redhat.com> - 1.2.0.20100115-3
- Correct home page url.

* Wed Feb 04 2010 Peng Wu <pwu@redhat.com> - 1.2.0.20100115-2
- Fixes koji build for F-13.

* Wed Feb 03 2010 Peng Wu <pwu@redhat.com> - 1.2.0.20100115-1
- The first version.

Comment 9 Jens Petersen 2010-02-04 09:26:47 UTC
Thanks, taking over final review for sponsorship.

I tested the package and it seems to work pretty well.

I don't see any problems with the package and have verified
the review above on the latest package.

Package is APPROVED and I am sponsoring pwu.

Comment 10 Peng Wu 2010-02-05 02:57:42 UTC
Welcome.

And re-factor the change log of rpm spec.
New package is here.
Spec URL: http://novel-pinyin.sourceforge.net/SRPMS/ibus-xkbc.spec
SRPM URL:
http://novel-pinyin.sourceforge.net/SRPMS/ibus-xkbc-1.2.0.20100115-3.fc12.src.rpm

And new change log:
%changelog
* Wed Feb 04 2010 Peng Wu <pwu@redhat.com> - 1.2.0.20100115-3
- Correct home page url.

* Wed Feb 04 2010 Peng Wu <pwu@redhat.com> - 1.2.0.20100115-2
- Fixes koji build for F-13.

* Fri Oct 30 2009 Naoyuki Ishimura <naoyuki.ishimura@sun.com> - 0.1.0-1
- The first version.

Comment 11 Peng Wu 2010-02-05 03:06:07 UTC
New Package CVS Request
=======================
Package Name: ibus-xkbc
Short Description: The XKBC engine for IBus input platform
Owners: pwu
Branches: F-12 F-13
InitialCC: petersen phuang i18n-team

Comment 12 Jens Petersen 2010-02-05 10:42:45 UTC
No F-13 branches yet.

cvs admin done

Comment 13 Peng Wu 2010-02-08 03:18:12 UTC
Package is imported by koji, by using the following command:

$./common/cvs-import.sh ../ibus-xkbc-1.2.0.20100115-3.fc12.src.rpm 
$./common/cvs-import.sh -b F-12 ../ibus-xkbc-1.2.0.20100115-3.fc12.src.rpm

Comment 14 Fedora Update System 2010-03-22 03:00:47 UTC
ibus-xkbc-1.2.0.20100115-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ibus-xkbc-1.2.0.20100115-3.fc12

Comment 15 Fedora Update System 2010-04-01 01:51:06 UTC
ibus-xkbc-1.2.0.20100115-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.